clang-tools 10.0.0

Classes | Namespaces | Functions
Hover.h File Reference
`#include "FormattedString.h"`
`#include "ParsedAST.h"`
`#include "Protocol.h"`
`#include "clang/Index/IndexSymbol.h"`
Include dependency graph for Hover.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::HoverInfo
| Contains detailed information about a Symbol. More...
struct | clang::clangd::HoverInfo::Param
| Represents parameters of a function, a template or a macro. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const HoverInfo::Param &P)
bool | clang::clangd::operator== (const HoverInfo::Param &LHS, const HoverInfo::Param &RHS)
llvm::Optional< HoverInfo > | clang::clangd::getHover (ParsedAST &AST, Position Pos, format::FormatStyle Style, const SymbolIndex *Index)
| Get the hover information when hovering at `Pos`. More...